[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TGridColumns.InsertColumn

Inserts a column at the specified index position.

## Declaration

Source position: grids.pas line 658

`protected procedure TGridColumns.InsertColumn(`
`Index: Integer`
`);`

## Arguments

`Index` |  | Position in the collection where the column is inserted.

## Description

InsertColumn calls the Add method to create a new column instance using the ItemClass for the collection. MoveColumn is called to relocate the newly stored column to the position in the Index argument.

Use the Items property to access the new column by its index position.

## See also

TGridColumns.Add |  | Creates a new ItemClass instance with the collection as its owner.
TGridColumns.MoveColumn |  | Moves the column from the first index to the second.
TGridColumns.Items |  | Provides indexed access to column definitions in the collection.
TGridColumn |  | Implements a column definition used for tabular data in TCustomGrid.
TCollection.ItemClass